export declare class UIAnchorTab {
    tabList: Array<AnchorTab>;
    refElement: HTMLElement;
    useParentHeight: boolean;
    scroll: boolean;
    bind(): void;
    attached(): void;
    private navigateToAnchor;
    private mustScroll;
    private containerElement;
}
export interface IAnchorTab {
    id: string;
    name: string;
    isVisible: boolean;
}
export declare class AnchorTab implements IAnchorTab {
    id: string;
    name: string;
    isSelected: boolean;
    isVisible: boolean;
    element: Element;
    constructor(id: string, name: string, isVisible?: boolean);
}
